<template>
  <v-app>
    <div class="full-container">
      <header>
        <h1>
          <a href="/">
            <img title="Pangolin" src="/images/logo.png">
          </a>
        </h1>
        <nav>
          <a
            href="https://pangolin.docs.cog-uk.io"
            target="_blank"
            class="button--pangolin-brown"
          >
            Help
          </a>
        </nav>
      </header>
      <main>
        <v-snackbar
          v-bind:value="showSnackbar"
          top
          v-bind:timeout="snackbarTimeout"
          v-bind:color="snackbarColour"
        >
          {{ snackbarMessage }}
          <v-btn
            text
            v-on:click="hideSnackbar"
          >
            Close
          </v-btn>
        </v-snackbar>
        <nuxt />
      </main>
      <footer>
        <span />
        <ul>
          <li>
            Pangolin (version <a v-bind:href="pangolinVersionLink" target="_blank">v{{ pangolinVersion }}</a>,
            pangolin-data version <a v-bind:href="lineagesVersionLink" target="_blank">{{ lineagesVersion }}</a>)
            is built by <a href="https://github.com/aineniamh">Áine</a>, <a href="https://github.com/jtmccr1">JT</a>, <a href="https://github.com/ViralVerity">Verity</a>, <a href="https://github.com/emilyscher">Emily</a> and <a href="https://github.com/rambaut">Andrew</a>. Web Application by
          </li>
          <li>
            <a href="https://www.pathogensurveillance.net"><img src="/images/cgps.svg"></a>
          </li>
          <li>Hosted on
          <li>
            <a href="https://www.climb.ac.uk"><img src="/images/CLIMB.png"></a>
          </li>
        </ul>
      </footer>
    </div>
    <script defer data-domain="pangolin.cog-uk.io" src="https://analytics.cgps.dev/js/plausible.js"></script>
  </v-app>
</template>

<script>
import { mapState, mapMutations } from "vuex";

export default {
  data() {
    return {
      snackbarColour: "#757289",
      snackbarTimeout: 0,
    };
  },
  computed: {
    ...mapState(["snackbarMessage", "showSnackbar", "pangolinVersion", "lineagesVersion"]),
    pangolinVersionLink() {
      return `https://github.com/cov-lineages/pangolin/releases/tag/v${this.$store.state.pangolinVersion}`;
    },
    lineagesVersionLink() {
      return `https://github.com/cov-lineages/pangolin-data/releases/tag/${this.$store.state.lineagesVersion}`;
    },
  },
  methods: {
    ...mapMutations(["hideSnackbar"]),
  },
};
</script>

<style scoped>
.v-application >>> .v-application--wrap {
  display: unset;
}
.theme--light.v-application {
  background: unset;
}
.full-container {
  /* position: fixed; */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  /* overflow-x: hidden; */
  /* overflow-y: auto; */
  /* height: 100vh; */
}

header {
  width: 100%;
  height: 64px;
  min-height: 64px;
  padding: 0 8px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
header h1 {
  margin-top: 8px;
  font-size: 16px;
}
header nav {
  display: none;
}
header h1 a {
  align-items: center;
  color: #0060df;
  display: flex;
  text-decoration: none;
}
header img {
  height: 32px;
  margin-right: 8px;
}

main {
  display: flex;
  position: relative;
  /* height: 100%; */
  /* flex-grow: 1; */
  /* flex: 1 1 0%; */
  align-self: center;
  align-items: flex-start;
  margin: auto;
  padding: 0;
  /* min-height: 20rem; */
  /* max-height: 36rem; */
  width: calc(100%);
  -moz-box-flex: 0;
  overflow: auto;
}

section {
  background-color: #fff;
  padding: 32px;
  width: 100%;
  /* overflow: hidden; */
  /* min-height: 100%; */
  /* height: 100%; */
  border: 0 solid #d7d7db;
  /* min-height: 32rem; */
  /* max-height: 38rem; */
  text-align: left;
}

footer {
  width: 100%;
  padding: 8px 32px 0px 32px;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 0.9rem;
  color: #4a4a4f;
  align-items: flex-start;
  font-weight: 500;
}
footer ul {
  justify-content: flex-end;
  align-items: flex-start;
  flex-direction: column;
  display: flex;
  user-select: none;
  list-style: none;
  margin: 0;
  padding: 0;
}
footer a {
  color: #8C4240;
  text-decoration: none;
  background-color: initial;
}

footer ul li img {
  height: 36px;
  margin-right: 8px;
  margin-left: 8px;
}

@media (min-width:768px) {
  header {
    padding: 0 32px;
    align-items: center;
  }
  header h1 {
    font-size: 24px;
    margin: unset;
  }
  header img {
    height: 40px;
  }
  main {
    max-width: 64rem;
  }
  section {
    margin: 24px;
    box-shadow: 0 12px 18px 2px rgba(34,0,51,.04),0 6px 22px 4px rgba(7,48,114,.12),0 6px 10px -4px rgba(14,13,26,.12);
    border-radius: 16px;
  }
  .full-container {
    min-height: 100vh;
  }
  header nav {
    display: unset;
  }
  footer {
    flex-direction: row;
    align-items: center;
  }
  footer ul {
    flex-direction: row;
    align-items: center;
  }
}
</style>
